package cn.axzo.workflow.common.enums;

/**
 * 新版配置下的发起人自选的范围限定枚举
 *
 * @author wangli
 * @since 2025-08-13 15:13
 */
public enum InitiatorSpecifiedRangeEnum {
    self_and_children_in_project("self_and_children_in_project", "项目内本组织及其下属组织所有成员"),
    self_in_project("self_in_project", "项目内本组织所有成员"),
    in_project("in_project", "项目内所有成员"),
    in_ent("in_ent", "企业内所有成员"),
    ;
    private final String type;
    private final String desc;

    InitiatorSpecifiedRangeEnum(String type, String desc) {
        this.type = type;
        this.desc = desc;
    }

    public String getType() {
        return type;
    }

    public String getDesc() {
        return desc;
    }
}
